Subject: Re: linux-doc: Missing man page references
From: Wilf <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 1 Aug 1995 09:55:19 +0000 (GMT)

> Andries writes:
> : Wilf writes:
> : > Lars Wirzenius ([email-masked])
> : > Sun, 23 Jul 1995 13:53:49 +0300 (EET DST)
> : > 
> : > I don't have any ideas for missing manual pages, but the request reminded
> : > me of one thing that has occasionally annoyed me:
> : > 
> : > It is sometimes somewhat difficult to find the correct page. Sometimes
> : > this is because the names by which man(1) searches the page do not
> : > include the "intuitive" name by which I'm searching it. Many pages are
> : > known by many names (e.g., if open(2) and close(2) were combined to one
> : > page, the page could be known by both names). I sometimes stumble upon
> : > pages where one or more of the potential alternate names are missing.
> 
> : There is an alternative.
> 
> : I noticed the problem of missing whatis references a while back and
> : introduced the concept of `whatis referenced' man page pointers into
> : mandb-2.3.x.
> 
> : However, it would be relatively trivial to extract a list of the whatis
> : referred pages found in man-pages-x.y from the man page database. These
> : could then be turned into symbolic, hard or ROFF `.so' links to the
> : real pages...
> 
> : Wilf> whatis -M /usr/man -w '*' | grep '([234579]) \[.*\]'
> : alphasort (3) [scandir] - scan a directory for matching entries
> : endutent (3) [getutent] - access utmp file entries
> ...
> 
> I am not sure I understand what you are saying or showing here.

Take the first page on this list as an example: alphasort(3)

-----------------------------------------------------------------
SCANDIR(3)          Linux Programmer's Manual          SCANDIR(3)

NAME
       scandir, alphasort - scan a directory for matching entries

SYNOPSIS
...
------------------------------------------------------------------

The source manual page is /usr/man/man3/scandir.3
There is no alphasort.3 manual page but the page describes actions for
alphasort.  I think the original mailer asked how he could get a page
like alphasort by typing `man alphasort'.  There are at least 4
solutions:

	(1) ln -s scandir.3 alphasort.3
	(2) ln scandir.3 alphasort.3
	(3) echo '.so man3/scandir.3' > alphasort.3
	(4) Use a manual pager capable of dealing with whatis referred
	    manual pages.

Using (4), I discovered that there are only 10 such references in the
man-pages-1.7 distribution, but on my system as a whole I found that
there were 251 such cases.

Wilf.
-- 
	Dept. of Electronic Eng.	Phone: 01483-300800 x3425
	University of Surrey		Fax: 01483-34139    
	Guildford GU2 5XH.		email: [email-masked]